org.jboss.jca.embedded.dsl.resourceadapters12.api

## Interface AdminObjectsType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface AdminObjectsType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `admin-objectsType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminObjectType<AdminObjectsType<T>>` | `createAdminObject()` Creates a new `admin-object` element
    `java.util.List<AdminObjectType<AdminObjectsType<T>>>` | `getAllAdminObject()` Returns all `admin-object` elements
    `AdminObjectType<AdminObjectsType<T>>` | `getOrCreateAdminObject()` If not already created, a new `admin-object` element will be created and returned.
    `AdminObjectsType<T>` | `removeAllAdminObject()` Removes all `admin-object` elements

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateAdminObject

          AdminObjectType<AdminObjectsType<T>> getOrCreateAdminObject()

      If not already created, a new `admin-object` element will be created and returned. Otherwise, the first existing `admin-object` element will be returned.
      Returns:
        the instance defined for the element `admin-object`

    - #### createAdminObject

          AdminObjectType<AdminObjectsType<T>> createAdminObject()

      Creates a new `admin-object` element
      Returns:
        the new created instance of `AdminObjectType>`

    - #### getAllAdminObject

          java.util.List<AdminObjectType<AdminObjectsType<T>>> getAllAdminObject()

      Returns all `admin-object` elements
      Returns:
        list of `admin-object`

    - #### removeAllAdminObject

          AdminObjectsType<T> removeAllAdminObject()

      Removes all `admin-object` elements
      Returns:
        the current instance of `AdminObjectType>`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)